package org.qatools.validator;

/**
 * <pre>
 * Enum class for different debug options
 * 
 * 			QATOOLS_DETAIL_REPORT_ONLY - Debug info is ONLY displayed on the QATools Detail Report.
 * 					This is useful if you want to disable excessive debug details from showing up on your continuous build system.
 * 			EVERYWHERE	- This is the default. All debug info shows up in all reports, QATools, surefure, junit, etc
 * 
 * </pre>
 * 
 * @author Scott Wilson - QATools.org
 *
 */
public enum DebugOption {
	QATOOLS_DETAIL_REPORT_ONLY,
	EVERYWHERE
}
