package org.qatools.validator;


/**
 * <pre>
 * Enum class for preprocessing string inputs
 * 		TRIM - "foo" = "foo", " foo", " foo ", "     foo     "
 * 				- "" = " ", "     "
 * 		REMOVE_DUPLICATE_SPACES - "foo bar car" = "foo   bar     car"
 * 		NULL_EQUIVALENCE - if this option is configured, you can add null equivalence strings
 * 			by invoking 
 * 				addNullEquivalence("");
 * 				addNullEquivalence(" ");
 * 				addNullEquivalence("()");
 * 				addNullEquivalence("[]");
 * </pre>
 * 
 * @author Scott Wilson - QATools.org
 *
 */
public enum StringCleaningOption {
	TRIM,
	REMOVE_DUPLICATE_SPACES,
	NULL_EQUIVALENCE
//	xxx LOWER_CASE
//	xxx UPPER_CASE
}
